$fn=72;

module filter_dno()
{
    vyska=28;
    
    module mriezka() {
        for (i=[-13:13]) {
            translate([0,i*2,0]) cube([50,1.0,1], true);
        }
    }
    intersection() {
        difference() {
            union () {
                translate([0,0,vyska/2]) difference() {
                    cylinder(d=44, h=vyska, center=true);
                    cylinder(d=40, h=vyska+2, center=true);
                }
                translate([0,0,1.0/2]) mriezka();
                translate([0,0,1.0/2+1.0]) rotate([0,0,90]) mriezka();
                translate([0,0,vyska/2]) for (a=[0,90]) {
                    rotate([0,0,2*a]) translate([19,0,0]) cylinder(d=8, h=vyska, center=true);
                }
            }
            union () {
                translate([0,0,vyska/2+15]) for (a=[0,90]) {
                    rotate([0,0,2*a]) translate([19,0,0]) cylinder(d=2, h=vyska, center=true);
                }
            }
        }
        cylinder(d=43.5, h=80, center=true);
    }
}

module filter_vrchnak()
{
    vyska=2;
    
    module mriezka() {
        for (i=[-13:13]) {
            translate([0,i*2,0]) cube([50,1.0,1], true);
        }
    }
    intersection() {
        difference() {
            union () {
                translate([0,0,vyska/2]) difference() {
                    cylinder(d=44, h=vyska, center=true);
                    cylinder(d=40, h=vyska+2, center=true);
                }
                translate([0,0,1.0/2]) mriezka();
                translate([0,0,1.0/2+1.0]) rotate([0,0,90]) mriezka();
                translate([0,0,vyska/2]) for (a=[0,90]) {
                    rotate([0,0,2*a]) translate([19,0,0]) cylinder(d=8, h=vyska, center=true);
                }
            }
            union () {
                translate([0,0,vyska/2]) for (a=[0,90]) {
                    rotate([0,0,2*a]) translate([19,0,0]) cylinder(d1=3, d2=6, h=vyska+0.1, center=true);
                }
            }
        }
        cylinder(d=43.5, h=80, center=true);
    }
}



filter_dno();
translate([0,0,40]) filter_vrchnak();
